nn.pp.rccore

## Enum RCCore.Compression

- java.lang.Object
- - java.lang.Enum<RCCore.Compression>
  - - nn.pp.rccore.RCCore.Compression

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RCCore.Compression>
  Enclosing interface:
    RCCore

      public static enum RCCore.Compression
      extends java.lang.Enum<RCCore.Compression>

  Enumeration for pre-defined Compression values

  Different KX devices support different compressions for video encoding. KX2 supports "Video Optimized", uncompressed and all "Level ..." compressions, which are compression levels of a lossless compression based on zlib. KX3 supports the JPEG compressions (but not all available in this enumeration!) and "Low Bandwidth Mode" for reduced color depths. The levels of the JPEG mode are quality levels.

  See Also:
    `RCCore.getSupportedEncodingCompressions()`, `VideoEventListener.supportedEncodingCompressionsChanged(List)`, `RCCore.getEncodingCompression()`, `RCCore.setEncodingCompression(RCCore.Compression, boolean)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JPEG_12_5` JPEG like compression with 12.5% quality
    `JPEG_18` JPEG like compression with 18% quality
    `JPEG_25` JPEG like compression with 25% quality
    `JPEG_31` JPEG like compression with 31% quality
    `JPEG_36` JPEG like compression with 36% quality
    `JPEG_42` JPEG like compression with 42% quality
    `JPEG_50` JPEG like compression with 50% quality
    `JPEG_6_25` JPEG like compression with 6.25% quality
    `JPEG_60` JPEG like compression with 60% quality
    `JPEG_65` JPEG like compression with 65% quality
    `JPEG_70` JPEG like compression with 70% quality
    `JPEG_75` JPEG like compression with 75% quality
    `JPEG_80` JPEG like compression with 80% quality
    `JPEG_85` JPEG like compression with 85% quality
    `JPEG_87_5` JPEG like compression with 87.5% quality
    `JPEG_9` JPEG like compression with 9% quality
    `JPEG_90` JPEG like compression with 90% quality
    `JPEG_92_5` JPEG like compression with 92.5% quality
    `JPEG_93_75` JPEG like compression with 93.75% quality
    `JPEG_LOSSLESS` JPEG like compression with 100% quality (lossless, however, still with color subsampling)
    `LEVEL_1` Compression level 1
    `LEVEL_2` Compression level 2
    `LEVEL_3` Compression level 3
    `LEVEL_4` Compression level 4
    `LEVEL_5` Compression level 5
    `LEVEL_6` Compression level 6
    `LEVEL_7` Compression level 7
    `LEVEL_8` Compression level 8
    `LEVEL_9` Compression level 9
    `LOW_BANDWIDTH_MODE` Low bandwidth mode with reduced colors
    `UNCOMPRESSED` Uncompressed video
    `VIDEO_OPTIMIZED` Video Optimized compression mode

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RCCore.Compression` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RCCore.Compression[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VIDEO_OPTIMIZED

          public static final RCCore.Compression VIDEO_OPTIMIZED

      Video Optimized compression mode

      This is only used for KX2. Basically, it is an uncompressed mode, but additionally tries to avoid tearing as much as possible. If there is only one client connected to the port, there is no tearing at all. However, the frame rate is slightly lower than with regular uncompressed mode.

    - #### UNCOMPRESSED

          public static final RCCore.Compression UNCOMPRESSED

      Uncompressed video

    - #### LEVEL_1

          public static final RCCore.Compression LEVEL_1

      Compression level 1

    - #### LEVEL_2

          public static final RCCore.Compression LEVEL_2

      Compression level 2

    - #### LEVEL_3

          public static final RCCore.Compression LEVEL_3

      Compression level 3

    - #### LEVEL_4

          public static final RCCore.Compression LEVEL_4

      Compression level 4

    - #### LEVEL_5

          public static final RCCore.Compression LEVEL_5

      Compression level 5

    - #### LEVEL_6

          public static final RCCore.Compression LEVEL_6

      Compression level 6

    - #### LEVEL_7

          public static final RCCore.Compression LEVEL_7

      Compression level 7

    - #### LEVEL_8

          public static final RCCore.Compression LEVEL_8

      Compression level 8

    - #### LEVEL_9

          public static final RCCore.Compression LEVEL_9

      Compression level 9

    - #### JPEG_6_25

          public static final RCCore.Compression JPEG_6_25

      JPEG like compression with 6.25% quality

    - #### JPEG_9

          public static final RCCore.Compression JPEG_9

      JPEG like compression with 9% quality

    - #### JPEG_12_5

          public static final RCCore.Compression JPEG_12_5

      JPEG like compression with 12.5% quality

    - #### JPEG_18

          public static final RCCore.Compression JPEG_18

      JPEG like compression with 18% quality

    - #### JPEG_25

          public static final RCCore.Compression JPEG_25

      JPEG like compression with 25% quality

    - #### JPEG_31

          public static final RCCore.Compression JPEG_31

      JPEG like compression with 31% quality

    - #### JPEG_36

          public static final RCCore.Compression JPEG_36

      JPEG like compression with 36% quality

    - #### JPEG_42

          public static final RCCore.Compression JPEG_42

      JPEG like compression with 42% quality

    - #### JPEG_50

          public static final RCCore.Compression JPEG_50

      JPEG like compression with 50% quality

    - #### JPEG_60

          public static final RCCore.Compression JPEG_60

      JPEG like compression with 60% quality

    - #### JPEG_65

          public static final RCCore.Compression JPEG_65

      JPEG like compression with 65% quality

    - #### JPEG_70

          public static final RCCore.Compression JPEG_70

      JPEG like compression with 70% quality

    - #### JPEG_75

          public static final RCCore.Compression JPEG_75

      JPEG like compression with 75% quality

    - #### JPEG_80

          public static final RCCore.Compression JPEG_80

      JPEG like compression with 80% quality

    - #### JPEG_85

          public static final RCCore.Compression JPEG_85

      JPEG like compression with 85% quality

    - #### JPEG_87_5

          public static final RCCore.Compression JPEG_87_5

      JPEG like compression with 87.5% quality

    - #### JPEG_90

          public static final RCCore.Compression JPEG_90

      JPEG like compression with 90% quality

    - #### JPEG_92_5

          public static final RCCore.Compression JPEG_92_5

      JPEG like compression with 92.5% quality

    - #### JPEG_93_75

          public static final RCCore.Compression JPEG_93_75

      JPEG like compression with 93.75% quality

    - #### JPEG_LOSSLESS

          public static final RCCore.Compression JPEG_LOSSLESS

      JPEG like compression with 100% quality (lossless, however, still with color subsampling)

    - #### LOW_BANDWIDTH_MODE

          public static final RCCore.Compression LOW_BANDWIDTH_MODE

      Low bandwidth mode with reduced colors

  - ### Method Detail

    - #### values

          public static RCCore.Compression[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RCCore.Compression c : RCCore.Compression.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RCCore.Compression valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.